# Get payment node status Senders can query for the RippleNet instances (in a given payment chain) that have payments in the LOCKED state. This information is only stored on the sender's RippleNet instance. Endpoint: GET /payments/{payment_id}/node-status Version: 4.0.0 Security: Bearer ## Path parameters: - `payment_id` (string, required) Unique identifier of the payment for which to get states on each node participating in the payment. ## Response 200 fields (application/json): - `paymentId` (string, required) Unique identifier of the payment. Example: "efdf213c-9f64-43f7-80ab-15e7b4d139ae" - `paymentState` (string, required) State of the payment. This API only recognizes payments in the LOCKED state. For more on payment states, see Payment States in the _RippleNet Developer Guide_. Enum: "QUOTED", "ACCEPTED", "AWAITING_COLLECTION", "COMPLETED", "EXECUTED", "FAILED", "FORWARDED", "LOCK_DECLINED", "LOCKED", "PREPARED", "RETURNED", "SETTLEMENT_DECLINED" - `nodeAddress` (string, required) RippleNet address of the participating node reporting the payment state. Example: "rn.eur.uk.london" - `pathOrder` (integer, required) Each node in the payment chain participates in sequence. Provides the order in the sequence in which this node participates. Example: 3 ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT" ## Response 404 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"